[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#585382: compilation of VT6656 fails

On Thu, 2010-06-10 at 03:43 +0300, Dmitry Baryshev wrote:
> Package: linux-source-2.6.32
> Version: 2.6.32-9
> Severity: important
> I have VIA wifi card, it requires VT6656 driver. linux-2.6.32 contains
> driver for it, but it cannot be compiled:
> make[8]: *** No rule to make target
> `drivers/staging/vt6656/firmware.o', needed by
> `drivers/staging/vt6656/vt6656_stage.o'. Stop.
> I used "debuild -b -uc -us -j2" to build the package.
> AFAIR, VIA has this driver as a separate source package, which works
> under 2.6.27. Why doesn't the built-in driver work in 2.6.32? Thanks!

This is a staging driver (i.e. low-quality) which we have not been
requested to build.  We have removed the firmware from it in order to
comply with the DFSG.  I will investigate whether it is possible to make
the driver work with an external firmware image.


Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.

Attachment: signature.asc
Description: This is a digitally signed message part

Reply to: